1

My vimrc is moving between

  1. remote: counting objects (1/1) and

  2. remote: compressing objects (4538/4538) constantly.

I ran "PlugUpgrade | PlugClean | PlugInstall | PlugUpdate" in vimrc, and for some reason tabnine plugin can't update / install. It happened before with another plugin, and a reboot solved it for that plugin, but not for this one.

" My .vimrc
call plug#begin('~/.vim/plugged')
Plug 'zxqfl/tabnine-vim'
call plug#end()
3
  • What's the relevant vimrc snippet setting up this plug-in? Can you use git directly to clone this repository somewhere in your machine? (It looks like this might be a git problem, so maybe start debugging that first?)
    – filbranden
    Jan 5, 2021 at 17:33
  • @filbranden - I added the .vimrc snippet. Also, cloning it via git (i.e. git clone https://github.com/zxqfl/tabnine-vim seems to work, but excruciatingly slow). Don't really know how to continue from here Jan 5, 2021 at 18:21
  • It works for me (although I don't use the plugin so can't confirm functionality, only vim-plug reporting successful installation), but was rather slow as it's a large repository. Are you sure the issue isn't just that you need to wait a long time on a slow connection? For what it's worth, it includes a couple of submodules so you may find that git clone --recursive takes longer. Failing that, I would suggest submitting an issue. Jan 8, 2021 at 16:33

0

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service and acknowledge you have read our privacy policy.

Browse other questions tagged or ask your own question.